<template>
  <div>
    <p class="default-text-bold">{{ nameContent }}</p>
    <input-field
      v-on:update:field="onChanged"
      :type="this.type"
      :hint="placeholder"
    />
  </div>
</template>

<script>
import InputField from "../input/InputField.vue";

export default {
  name: "login-input-form",
  components: {
    InputField
  },
  props: {
    name: String,
    type: String
  },
  computed: {
    placeholder: function() {
      return "Enter " + this.name.toLowerCase() + "...";
    },
    nameContent: function() {
      return this.name[0].toUpperCase() + this.name.slice(1);
    }
  },
  methods: {
    onChanged(data) {
      this.$emit("update:field", data);
    }
  }
};
</script>

<style></style>
